Feature: Host wizard GUI

	@asmonitor
	Scenario: Setup and view new host using the wizard
		Given I am on the main page
		When I hover over the "Configuration" button
		And I click "Host Wizard"
		Then I should see "Host Creation Wizard"
		When I click button "Next"

		# Management Packs card
		Then I should see "Management Packs"
		When I click button "Next"
		Then I should see "You must select at least one Management Pack"
		When I click button "Select"
		And I click button "Next"

		# Host name/address card
		Then I should see "Name & Address"
		When I click button "Next"
		Then I should see "You must enter a value"
		When I enter "127.0.0.1" into "address"
		And I click button "Next"
		Then I should see "You must enter a name for this host"
		When I enter "monitor" into "host_name"
		And I click button "Next"
		Then I should see "A host with that name already exists"
		When I enter "wizard-test-host" into "host_name"
		And I click button "Next"

		# Save configuration card
		Then I should see "wizard-test-host(127.0.0.1)"
		When I click button "Save Configuration and View Added Hosts"
		Then I should see "Success"

		# List View page with my host
		Then wait for "3" seconds
		Then I should be on url "/monitor/index.php/listview?q=%5Bservices%5D%20host.name%20%3D%20%22wizard-test-host%22" waiting patiently
		And I shouldn't see "No entries found using filter"
		And I should see "NIX Ping"

	@asmonitor
	Scenario: Setup and add more hosts using the wizard
		Given I am on the main page
		When I hover over the "Configuration" button
		And I click "Host Wizard"
		Then I should see "Host Creation Wizard"
		When I click button "Next"

		# Management Packs card
		Then I should see "Management Packs"
		When I click button "Select"
		And I click button "Next"

		# Host name/address card
		Then I should see "Name & Address"
		When I enter "127.0.0.1" into "address"
		When I enter "another-test-host" into "host_name"
		And I click button "Next"

		# Save configuration card
		Then I should see "another-test-host(127.0.0.1)"
		When I click button "Save Configuration and Add More Hosts"
		Then I should see "Success"
		And wait for "3" seconds

		Then I should see "Management Packs"
		When I click button "Select"
		And I click button "Next"

		Then I should see "Name & Address"
		When I enter "127.0.0.1" into "address"
		And I enter "yet-another-test-host" into "host_name"
		And I click button "Next"
		Then I should see "yet-another-test-host(127.0.0.1)"
		When I click button "Save Configuration and View Added Hosts"
		Then I should see "Success"

		# List View page with my host
		Then wait for "3" seconds
		Then I should be on url "/monitor/index.php/listview?q=%5Bservices%5D%20host.name%20%3D%20%22another-test-host%22%20or%20host.name%20%3D%20%22yet-another-test-host%22" waiting patiently
		And I shouldn't see "No entries found using filter"
		And I should see "NIX Ping"
